<?php
if (!defined( 'ABSPATH' )) exit;
class woo2app_config_menu
{
	function __construct(){
		$this->config_woomenu();
	}

	function config_woomenu(){
		$email = get_option('email_WOO2APP');
		$pass = get_option('password_WOO2APP');
		$appid = get_option('appid_WOO2APP');

		add_menu_page( __( 'woo2app', 'woo2app' ),
			__( 'woo2app', 'woo2app' ),
			'manage_options',
			'woo2app/woo2app_design/woo2app_show_design.php',
			'',
			plugins_url(plugin_basename(dirname(__FILE__))).'/../files/img/smart-phone.png' );
		add_submenu_page( 'woo2app/woo2app_design/woo2app_show_design.php',
			__( 'تنظیمات پوسته', 'woo2app' ),
			__( 'تنظیمات پوسته', 'woo2app' ),
			'manage_options',
			'woo2app/woo2app_design/woo2app_show_design.php');
		add_submenu_page( 'woo2app/woo2app_design/woo2app_show_design.php',
			__( 'تنظیمات اصلی', 'woo2app' ),
			__( 'تنظیمات اصلی', 'woo2app' ),
			'manage_options',
			'woo2app/woo2app_design/woo2app_primary_setting.php');
		add_submenu_page( 'woo2app/woo2app_design/woo2app_show_design.php',
			__( 'ارسال نوتیفیکیشن', 'woo2app' ),
			__( 'ارسال نوتیفیکیشن', 'woo2app' ),
			'manage_options',
			'woo2app/woo2app_design/woo2app_send_notif.php');
		//	add_submenu_page( 'woo2app/woo2app_design/woo2app_show_design.php',
		//	    __( 'نظر سنجی', 'woo2app' ),
		// 		__( 'نظر سنجی', 'woo2app' ),
		//	    'manage_options', 
		//		'woo2app/woo2app_poll/poll.php');
		add_submenu_page( 'woo2app/woo2app_design/woo2app_show_design.php',
			__( 'وبلاگ', 'woo2app' ),
			__( 'وبلاگ', 'woo2app' ),
			'manage_options',
			'woo2app/woo2app_blog/index.php');
		add_submenu_page( 'woo2app/woo2app_design/woo2app_show_design.php',
			__( 'پیشنهاد شگفت انگیز', 'woo2app' ),
			__( 'پیشنهاد شگفت انگیز', 'woo2app' ),
			'manage_options',
			'woo2app/woo2app_design/woo2app_shegeft_angiz.php');
		if( !$email && !$pass && !$appid ){
			add_submenu_page( 'woo2app/woo2app_design/woo2app_show_design.php',
				__( 'ورود', 'woo2app' ),
				__( 'ورود', 'woo2app' ),
				'manage_options',
				'woo2app/woo2app_design/woo2app_show_login.php');
		}else{
			add_submenu_page( 'woo2app/woo2app_design/woo2app_show_design.php',
				__( 'اطلاعات اپلیکیشن', 'woo2app' ),
				__( 'اطلاعات اپلیکیشن', 'woo2app' ),
				'manage_options',
				'woo2app/woo2app_design/woo2app_show_login.php');
		}
		if($menus = get_option('mr2app_menu')){
			foreach ($menus as $m){
				add_submenu_page( 'woo2app/woo2app_design/woo2app_show_design.php',
					$m['page_title'],
					$m['menu_title'],
					'manage_options',
					$m['menu_slug']
				);
			}
		}
	}
}
