<?php
/*
Plugin Name: woo2app
Plugin URI: http://mr2app.com
Description: اولین اپ ساز وردپرسی فارسی || تماس با پشتیبانی : http://mr2app.com  || کاری از شرکت حامی رایانه آفتاب توس
Version: 1.11.2
Author: مستر 2 اپ
Author URI: http://mr2app.com
Text Domain: Mr2app
*/
if (!defined( 'ABSPATH' )) exit;
define('WOO2APP_VERSION' , "1.11.2");
define('WOO2APP_PATH' , plugin_dir_path( __FILE__ ));
define('WOO2APP_URL', plugin_dir_url(__FILE__));
define('WOO2APP_CSS_URL', trailingslashit(WOO2APP_URL.'files/css'));
define('WOO2APP_JS_URL', trailingslashit(WOO2APP_URL.'files/js'));

class service_woo_hami{
    function config_woo2app(){
        require_once WOO2APP_PATH . 'woo2app_config/config_table_woo2app.php';
        $woo = new config_table_woo2app();
        require_once WOO2APP_PATH . 'woo2app_config/config_table_data.php';
        $woo = new woo2app_config_data();
    }
    function set_api_hami(){

        require_once WOO2APP_PATH . 'service/woocommerce-services-comment.php';
        $woo = new woocommerce_services_comment();
        require_once WOO2APP_PATH . 'service/api_users_hami.php';
        $user = new api_webservices_hami_user();
        require_once WOO2APP_PATH . 'service/woocommerce-services-new.php';
        $woo = new woocommerce_services_new();
        require_once WOO2APP_PATH . 'service/woocommerce-services-customer_new.php';
        $woo = new woocommerce_services_customer_new();
        require_once WOO2APP_PATH . 'service/woocommerce-services-order_new.php';
        $woo = new woocommerce_services_order_new();
        require_once WOO2APP_PATH . 'service/woo2app_core_api_setting.php';
        $woo = new woo2app_core_api_setting();
        require_once WOO2APP_PATH . 'service/woo2app_core_api_orders.php';
        $woo = new woo2app_core_api_orders();
        require_once WOO2APP_PATH . 'service/woo2app_core_api_customers.php';
        $woo = new woo2app_core_api_customers();
        require_once WOO2APP_PATH . 'service/woo2app_core_api_coupon.php';
        $woo = new woo2app_core_api_coupon();
        require_once WOO2APP_PATH . 'service/woo2app_core_api_pay_methods.php';
        $woo = new woo2app_core_api_pay_methods();
        require_once WOO2APP_PATH . 'service/woo2app_core_api_shipping_methods.php';
        $woo = new woo2app_core_api_shipping_methods();
        require_once WOO2APP_PATH . 'service/woo2app_api_default_blog.php';
        $woo = new woo2app_api_default_blog(); 
        require_once WOO2APP_PATH . 'service/woo2app_api_primary_blog.php';
        $woo = new woo2app_api_primary_blog();
	    require_once WOO2APP_PATH . 'woo2app_config/mr2app_feed.php';
	    $woo = new mr2app_feed();
	    require_once WOO2APP_PATH . 'service/woo2app_google_sign_in.php';
	    $woo = new woo2app_google_sign_in();

    }
    function config_woo2app_menu(){
        include_once( 'woo2app_config/config_woo2app_menu.php') ;
        $woo2app_config_menu = new woo2app_config_menu();
    }
    function config_woo2app_ajax(){
        require_once WOO2APP_PATH . 'woo2app_design/config_woo2app_ajax.php';
    }

    function woo2app_metabox(){
        include_once( 'woo2app_config/config_metabox_woo2app.php') ;
        $woo2app_metabox_notif = new woo2app_metabox_notif();
    }

    function deactivation_woo2app(){
        delete_option("email_WOO2APP");
        delete_option("password_WOO2APP");
        delete_option("appid_WOO2APP");
        delete_option("exp_time_WOO2APP");
        delete_option("last_android_apk_WOO2APP");
        delete_option("last_android_ver_number_WOO2APP");
        delete_option("last_android_ver_name_WOO2APP");
    }
}
register_activation_hook( __FILE__ ,  array('service_woo_hami' , 'config_woo2app'));
register_deactivation_hook( __FILE__ ,  array('service_woo_hami' , 'deactivation_woo2app'));
add_action('init',array( 'service_woo_hami' , 'set_api_hami' ));
add_action('admin_menu',array( 'service_woo_hami' , 'config_woo2app_menu' ));
add_action('init',array( 'service_woo_hami' , 'config_woo2app_ajax' ));
add_action('init' , array('service_woo_hami' , 'woo2app_metabox'));


function admin_notice__exp_woo2app() {

    $class = 'notice notice-warning';
    $msg = '<strong> mr2app ! </strong> ';
    $msg .= 'کاربر گرامی ، تاریخ انقضای اپلیکیشن و افزونه مستر 2 اپ گذشته است ، در صورت تمایل از آدرس زیر نسبت به تمدید اقدام کنید.';
    $msg .= "<br>";
    $msg .= "<br>";
    $msg .= ' <a  style="font-weight:700" target="_blank"  href="http://mr2app.com/panel/app/buy/'. get_option("appid_WOO2APP").'"> پنل کاربری  mr2app </a>' ;
    $message = __( $msg, 'sample-text-domain' );

    printf( '<br><div class="%1$s is-dismissible"><p>%2$s</p></div>', esc_attr( $class ), ( $message ) );
}

function admin_notice__not_login_woo2app() {

    $class = 'notice notice-warning';
    $msg = '<strong> mr2app ! </strong> ';
    $msg .= 'لطفا برای امکان استفاده از ارسال نوتیفیکیشن مشخصات کاربری خود را وارد کنید.';
    $x = 'admin.php?page=woo2app/woo2app_design/woo2app_show_login.php';
    $msg .= '| <a  style="font-weight:700" href="'.$x.'">  ورود </a>' ;
    $message = __( $msg, 'sample-text-domain' );

    printf( '<br><div class="%1$s is-dismissible"><p>%2$s</p></div>', esc_attr( $class ), ( $message ) );
}

$exp = get_option('exp_time_WOO2APP');
if($exp != ""){
    if($exp < time() && $exp != -1){
        add_action( 'admin_notices', 'admin_notice__exp_woo2app' );
    }
}
